Assignee: Holger Just % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Attatched a screenshot, showing october, 17 on saturday AND sunday.

-- Redmine 0.8.3.stable (MySQL)

Related issues:

Has duplicate Redmine - Defect #6712: Problem with Calendar Closed 2010-10-20

Has duplicate Redmine - Defect #6726: Day of the week is wrong Closed 2010-10-22

History

#1 - 2009-10-16 15:06 - Rodrigo Guerrero

- File calendar_problem.jpg added

Hi, I have the same problem, but with 09/10

#2 - 2009-10-26 19:13 - rafael mascayano

The same problem, but with 10/10. RedMine v0.8.4

#3 - 2009-10-27 01:34 - Eric Davis

It's working for me on trunk with English.  Could this be a bug in the calendar's i18n?

#4 - 2010-10-18 15:44 - Guilherme Schneider

- File outubro-2010.png added

It happend to me too, here in Brazil. See attachment (from the redmine site, version 1.0.2 I guess?)

It must be related to DST (Daylight saving time), because here in Brazil, the DST begun at October 17th at midnight (the clock goes back to October

16th at 11:00 PM.

I found out that this bug has been resolved in JSCal2-1.8, see here: http://www.dynarch.com/projects/calendar/download/1.8/

#5 - 2010-10-18 15:53 - Guilherme Schneider

Actually, the clock went forward to 1:00 AM of October 17th. We were at GMT-3 and now it is GMT-2.

#6 - 2010-10-19 13:39 - Holger Just

- Assignee set to Holger Just

I can not reproduce the bug on either Redmine Trunk, nor the redmine.org Redmine. even if I set the language to Português (Brazil) and the timezone

to (GMT -03:00) Brasilia. Everything looks right.

Could you please state exactly under which circumstances and which user settings you observe the bug?

#7 - 2010-10-19 14:44 - Guilherme Schneider

Do you have DST enabled?

I've tested on Windows (XP and 7) and with Firefox 3.6.10, IE 7 and 8, on different computers. All have this issue.

#8 - 2010-10-19 14:52 - Holger Just

- Affected version (unused) changed from 0.8.3 to devel
http://www.dynarch.com/projects/calendar/download/1.8/


- Affected version deleted (0.8.3)

Okay found (and reproduced) it. As Javascript is client side, you have to actually set your client time zone. D'uh... The issue is independent of the

selected language in Redmine (tested with English, German and Portuguese (Brazil)). It is only dependent on the timezone configured on the client

(browser).

#9 - 2010-10-19 15:46 - Holger Just

I have a patch at http://github.com/meineerde/redmine/commit/aaede7f75501c6314328fbf50f776f162346e81c. This one fixes the issue for me. Please

check it.

The essence of the patch is, to use 12:00:00 as a reference time for dates instead of 00:00:00. Thus, there can't be any disambiguity on the date (at

least, if there is no DST rule somewhere in the world where they change time at noon).

Eric Hulser: Once this is confirmed, I'm going to send you a pull request.

#10 - 2010-10-19 18:18 - Guilherme Schneider

The patch did work. Thanks!

#11 - 2010-10-22 14:07 - Holger Just

Eric Hulser, I sent you a pull request 3 days ago. Could you commit this one please?

#12 - 2011-10-20 19:14 - Vagner Santos

+1

#13 - 2012-10-31 11:34 - Fernando Silveira

+1

I'm using Redmine 2.0.3.stable and 1.4.4.stable and both have the same bug. After applying the patch from Holger (

https://github.com/meineerde/redmine/commit/aaede7f75501c6314328fbf50f776f162346e81c) the bug is gone. Can someone PLEASE commit his

pull request?

Holger, could you please ask someone you know to apply your commit? Maybe you could assign this issue to the committer, I don't know.

#14 - 2013-03-18 14:26 - Filou Centrinov

I couldn't reproduce the problem for Oct 2009/2010 neither on v2.2.1 nor v2.3. Even when the week is starting on Sunday or the time zone is Brasilia

everything is fine for me. May it's already fixed?

#15 - 2013-03-18 14:42 - Daniel Felix

- Status changed from New to Resolved

Well this issue isn't reproduce able and already fairly outdated.

The library version for the date picker changed various times. I think this is already resolved.

I'm closing this issue. Just reopen if I'm wrong.

#16 - 2013-03-18 14:46 - Toshi MARUYAMA

- Status changed from Resolved to Closed

See #11445 r10069

#17 - 2013-03-18 15:11 - Daniel Felix

Thanks for correction. I missclicked to resolved. :-)
